#!/bin/csh

# Runs needed in proofs for AB-game without white-peg answers

make clean

##########
# 2 pegs #
##########

echo
echo "2 pegs, the values for 2, 3, 4 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("2 2" "3 3" "4 4")
    set tt=(${t})
    set c=${tt[1]}
    set q1=${tt[2]}
    @ q2 = ${q1} - 1
    make f=10 p=2 c=${c} q=${q1}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
    make f=10 p=2 c=${c} q=${q2}
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "2 pegs, the upper bound for 5 and more colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 201 1 204`)
    make f=${f} p=2 c=5 q=5 x=3 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

##########
# 3 pegs #
##########

echo
echo "3 pegs, the values for 3, 4, 5, 6, 7, 8 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("3 4" "4 5" "5 6" "6 7" "7 8" "8 9")
    set tt=(${t})
    set c=${tt[1]}
    set q1=${tt[2]}
    @ q2 = ${q1} - 1
    make f=10 p=3 c=${c} q=${q1}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
    make f=10 p=3 c=${c} q=${q2}
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "3 pegs, the lower bound for 5 and more colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("31 3 6 5" "32 3 7 5" "33 3 8 5")
    set tt=(${t})
    make f=${tt[1]} p=${tt[2]} c=${tt[3]} q=${tt[4]} a=0 i=0
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "3 pegs, the upper bound for 9 and more colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 301 1 317`)
    make f=${f} p=3 c=9 q=10 x=7 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

##########
# 4 pegs #
##########

echo
echo "4 pegs, the values for 3, 5, 6, 7 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("4 5" "5 6" "6 7" "7 8")
    set tt=(${t})
    set c=${tt[1]}
    set q1=${tt[2]}
    @ q2 = ${q1} - 1
    make f=10 p=4 c=${c} q=${q1}
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
    make f=10 p=4 c=${c} q=${q2}
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the lower bound for 5 and more colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach t ("41 4 6 5" "42 4 7 5" "43 4 8 5" "44 4 7 5" "45 4 8 5" "46 4 8 5" "47 4 9 5" "48 4 8 5")
    set tt=(${t})
    make f=${tt[1]} p=${tt[2]} c=${tt[3]} q=${tt[4]} a=0
    ./mm
    if ($? != 0) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 8 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4035`)
    make f=${f} p=4 c=8 q=9 x=4 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 9 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4056`)
    make f=${f} p=4 c=9 q=10 x=5 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 10 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4084`)
    make f=${f} p=4 c=10 q=11 x=6 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 11 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4165`)
    make f=${f} p=4 c=11 q=13 x=8 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 12 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4220`)
    make f=${f} p=4 c=12 q=14 x=9 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 13 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4286`)
    make f=${f} p=4 c=13 q=15 x=10 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 14 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4364`)
    make f=${f} p=4 c=14 q=16 x=11 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 15 colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4455`)
    make f=${f} p=4 c=15 q=17 x=12 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

echo
echo "4 pegs, the upper bound for 16 and more colors"
echo "Do you want to run this test? (y/n)"
set CONFIRM = $<
if (${CONFIRM} == "y") then
  foreach f (`seq 4001 1 4117`)
    make f=${f} p=4 c=16 q=18 x=13 a=0 i=0
    ./mm
    if ($? != 1) then
      echo ERROR
      exit
    endif
  end
endif

make clean
